body {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

header {
    background-color: #0E3147;
}

h3 {
    margin-top: 32px;
    margin-bottom: 24px;
}

h4 {
    padding-left: 2rem;
    font-size: 1rem;
    font-weight: 600;
}

a {
    text-decoration: none;
}

a:hover:not(.btn, .nav-link), a:active:not(.btn, .nav-link) {
    text-decoration: underline;
}

a:active {
    color: #ee9500;
}

ol, ul {
    padding-left: 4rem;
}

.container-lg p:not(.lead),
.container-lg dt, .container-lg dd {
    padding-left: 2rem;
}

#site-logo {
    width: 256px;
    height: 80px;
    background-image: url("../img/logo.png");
    background-size: contain;
    background-repeat: no-repeat;
}

@media only screen and (min-device-pixel-ratio: 2),
only screen and (min-resolution: 192dpi) {
    #site-logo {
        background-image: url("../img/logo@2x.png");
    }
}

.nav-link-primary, .nav-link {
    color: #e3f2fa !important;
}

.nav-link-primary:hover, .nav-link:hover,
.nav-link-primary:active, .nav-link:active {
    color: #ee9500 !important;
}

.nav-link-primary {
    padding-top: 4px;
    padding-right: 18px !important;
    font-weight: 600 !important;
    font-size: 20px !important;
}

.nav-link {
    font-size: 16px;
    font-weight: 500;
}

.site-nav .nav-link {
    font-size: 14px;
    font-weight: 400;
}

.nav > .active .nav-link {
    /* CSS shorthand property is not supported on Safari older than 26.2
     * See https://developer.mozilla.org/en-US/docs/Web/CSS/Reference/Properties/text-decoration */
    /*text-decoration: solid underline #f7ce6e 2px;*/
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-color: #f7ce6e;
    text-decoration-thickness: 2px;
    text-underline-offset: 6px;
}

.nav > .active .nav-link:hover {
    /*text-decoration: solid underline #a0dbff 2px;*/
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-color: #a0dbff;
    text-decoration-thickness: 2px;
}

.page-heading {
    border-bottom: 1px solid #eee;
    margin-top: 48px;
    padding-bottom: 32px;
    margin-bottom: 48px;
}

.btn {
    box-shadow: 1px 2px 4px 0px #595959cc;
}

.btn-primary, .btn-dark {
    font-weight: 500;
}

.beta {
    padding: 0 8px 4px 8px;
    border: 2px solid black;
    border-radius: 10px;
    font-size: smaller;
    font-weight: normal;
    font-variant: small-caps;
    letter-spacing: 0;
}

span.command {
    padding: 2px 6px 2px 6px;
    background-color: #eee;
    font-family: system-ui, -apple-system, sans-serif;
    font-weight: 500;
}

img.inline-icon {
    width: 16px;
    height: 16px;
    /* Could use `center` as property value, but it is not supported in Safari. */
    vertical-align: -2px;
}

.ext-link::after,
.ext-link-s::after {
    display: inline-block;
    content: " ";
    background-image: url("../img/ext-link.svg");
    width: 12px;
    height: 12px;
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: 2px;
    vertical-align: baseline;
}

.ext-link-s::after {
    width: 10px;
    height: 10px;
}

footer {
    margin-top: 48px;
    margin-bottom: 32px;
    padding-top: 18px;
    border-top: 1px solid #eee;
}

footer p {
    margin-bottom: 4px;
    font-size: 11px;
    font-weight: 300;
}

#back2Top {
    width: 48px;
    height: 48px;
    line-height: 14px;
    overflow: hidden;
    z-index: 999;
    display: block;
    cursor: pointer;
    position: fixed;
    bottom: 50px;
    right: 20px;
    padding-top: 2px;
    padding-left: 3px;
    border: 1px solid #026cd7;
    border-radius: 50%;
    box-shadow: 2px 2px 3px 0px #8c8c8ccc;
    background-color: #0077ee;
    color: #fff;
    text-align: center;
    font-size: 24px;
    text-decoration: none;

    transition-duration: 300ms;
    transition-property: opacity, visibility;
}

.back2top-show {
    visibility: visible;
    opacity: 1;
}

.back2top-hide {
    visibility: hidden;
    opacity: 0;
}

#back2Top:hover {
    border: 1px solid #0c5aa8;
    background-color: #026cd7;
}

#back2Top-icon {
    display: inline-block;
    width: 24px;
    height: 24px;

    background-image: url("../img/chevron-up.svg");
    background-size: 24px 24px;
    background-position-x: -1px;
    background-repeat: no-repeat;
}

#back2Top:hover > #back2Top-icon {
    background-image: url("../img/chevron-up-hover.svg");
}

#back2Top-caption {
    font-family: Helvetica, Arial, sans-serif;
    font-size: 12px;
}

#back2Top:hover > #back2Top-caption {
    color: #f7ce6e;
}

